#!/usr/bin/perl
#changelog2pkgformat
#use DateTime;
my ($package,$version,$distributions,$urgency)=@ARGV;
#to upgrade to this version
#URGENCY=low
#, medium, high, emergency, or critical


print "$package , $version , $distributions , $urgency\n";

if (not  $urgency) {$urgency="low";}
if (not $package) {print "NO PAQUETE\n"; exit;}
if (not $version) {print "NO VERSION\n"; exit;}
if (not  $distributions) {
#$distributions="oldstable stable testing unstable experimental";
$distributions="testing unstable experimental";
}

$distributions=~s/-/ /;

open SPEC, ">/tmp/clspec" or die $!;
open DEB, ">/tmp/cldeb" or die $!;

print SPEC "%changelog\n";

open FILE, "<ChangeLog" or die $!;
my $comienzo=0;
my $final=0;
my $maintainer;
my $fechadeb;
my $fechaspec;
while(<FILE>){
chomp;
if ($_=~/^$/) {if ($final==0) {  } 
                else {
                   print  DEB   "\n -- $maintainer  $fechadeb\n\n";
                   $final=0;$comienzo=0; 
                   print  SPEC   "\n"}
                    };
if ($_=~/^\s+\* \[r([0-9]+)\] (.*)/) {
                   print SPEC "- r$1 $2\n";
                   print DEB "$package ($version-r$1) $distributions; urgency=$urgency\n\n";
                   print DEB "  * $2\n";
                   $final=1}
if ($_=~/^\s+([^\*]+)/) {
                   print SPEC "  $1\n"; 
                   print DEB  "    $1\n"; 
                   $final=1}
if ($_=~/^([0-9][0-9][0-9][0-9])-([0-9][0-9])-([0-9][0-9]) ([0-9][0-9]):([0-9][0-9])  ([^<]+) <*([^>]*)/)
                  {#print "CAMBIO "; 
                   $fechaspec=`LANG=us;date +"%a %b %d %Y" --date="$1-2-$3 $4:$5"`;
                   chomp($fechaspec);
                   $fechadeb=`LANG=us;date -R --date="$1-$2-$3 $4:$5"`;
                   chomp($fechadeb);
                   $comienzo=1;
                   #print "$1 - $5 - $6 - $7";
                   if ($7){
                        $maintainer="$6 <$7>";
                   }else{  
                        $maintainer="$6";
                      }
                   #$dt=DateTime->new(year=>$1,month=>$2,day=>$3,hour=>$4,minute=>$5);
                   print SPEC "* $fechaspec $maintainer\n";
                 
                 }
#print "\n";
#print $_;

}

close SPEC;
close DEB;
